import javax.naming.InitialContext;
import com.lisasoft.routedirections.ard.beans.RouteDirectionsARD;
import com.lisasoft.routedirections.ard.beans.Location;
import org.postgis.PGgeometry;

public class Client
{
    public static void main(String[] args)
    {
        try
        {
            InitialContext ic = new InitialContext();
            RouteDirectionsARD route  = (RouteDirectionsARD)(ic.lookup("RouteDirectionsARDBean/remote"));
            Location loc = new Location("test", PGgeometry.geomFromString("SRID=4326;POINT(10 10)"));
            route.setLocation(loc);
            
            Location testLoc = route.getLocation("test");
            System.out.println(testLoc.getId());
            System.out.println(testLoc.getName());
            System.out.println(testLoc.getGeom());
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }

    }
}