package com.lisasoft.routedirections.ard.beans;

import javax.ejb.Remote;

/**
 * BuddyFinder.java
 * <br />
 * This is the BuddyFinder Session Bean Interface.
 * It provides all of the methods for interacting with the Entity beans
 * which in turn persist state to the database.
 * <br />
 * Copyright 2006, LISAsoft Pty Ltd.
 * <br />
 */
@Remote
public interface RouteDirectionsARD
{ 

	/**
	 * get the location
	 * @param lat
	 * @param lon
	 * @return the location in an object of type Location
	 */
	Location getLocation(String name);
	
	
	boolean setLocation(final Location location);
	
	
	
}